libcgal-qt5-14_4.14-5_amd64.deb


Advertisement

Description

libcgal-qt5-14 - C++ library for computational geometry (support for Qt5)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libcgal-qt5-14_4.14-5_amd64.deb
Package name libcgal-qt5-14
Package version 4.14
Package release 5
Package architecture amd64
Package type deb
Category libs
Homepage http://www.cgal.org/
License -
Maintainer Joachim Reichel <reichel@debian.org>
Download size 215.29 KB
Installed size 704.00 KB

Alternatives

Package Version Architecture Repository
libcgal-qt5-14_4.14-5_i386.deb 4.14 i386 Debian Main
libcgal-qt5-14 - - -

Requires

Name Value
libc6 >= 2.14
libcgal13 = 4.14-5
libgcc1 >= 1:3.0
libqt5core5a >= 5.11.0~rc1
libqt5gui5 >= 5.4.0
libqt5opengl5 >= 5.0.2
libqt5svg5 >= 5.6.0~beta
libqt5widgets5 >= 5.4.0
libqt5xml5 >= 5.0.2
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcgal-qt5-14_4.14-5_amd64.deb
Source Package cgal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcgal-qt5-14 deb package:
    # sudo apt-get install libcgal-qt5-14

Files

Path
/usr/lib/x86_64-linux-gnu/libCGAL_Qt5.so.14
/usr/lib/x86_64-linux-gnu/libCGAL_Qt5.so.14.0.0
/usr/share/doc/libcgal-qt5-14

Changelog

2019-08-24 - Joachim Reichel <reichel@debian.org>
cgal (4.14-5) unstable; urgency=medium
* Strip -ffile-prefix-map=... and -fmacro-prefix-map=... from
CGALConfig.cmake to avoid false positives in reproducible builds report.
2019-08-08 - Joachim Reichel <reichel@debian.org>
cgal (4.14-4) unstable; urgency=medium
* Add version constraint for libCGAL_ImageIO in libcgal13.shlibs.
Thanks to Drew Parsons (Closes: #934179).
2019-07-27 - Joachim Reichel <reichel@debian.org>
cgal (4.14-3) unstable; urgency=medium
* Upload to unstable.
* Update Standards-Version to 4.4.0 (no changes needed).
2019-03-29 - Joachim Reichel <reichel@debian.org>
cgal (4.14-2) experimental; urgency=medium
* Fix stripping of -fdebug-prefix-map=... on non-amd64 architectures.
2019-03-29 - Joachim Reichel <reichel@debian.org>
cgal (4.14-1) experimental; urgency=medium
* New upstream release.
* Rename binary package libcgal-qt5-13 to libcgal-qt5-14 to reflect
SONAME change.
* Add Rules-Requires-Root: no to debian/control.
* Strip -fdebug-prefix-map=... from CGALConfig.cmake to avoid false
positives in reproducible builds report.
* Update Standards-Version to 4.3.0 (no changes needed).
2018-10-01 - Joachim Reichel <reichel@debian.org>
cgal (4.13-1) unstable; urgency=medium
* New upstream release.
- Remove Suggests: libqglviewer-dev-qt5 from libcgal-demo. CGAL uses
now a fork of libQGLViewer.
* Add Build-Depends: libeigen3-dev (needed by libcgal-ipelets).
* Update Standards-Version to 4.2.1 (no changes needed).
2018-04-26 - Joachim Reichel <reichel@debian.org>
cgal (4.12-1) unstable; urgency=medium
* New upstream release.
- Separate flags used to compile the libraries from flags required by
users of the libraries (Closes: #886670).
* Add Suggests: libsuitesparse-dev for libcgal-demo.
* Update Standards-Version to 4.1.4 (no changes needed).
2018-03-01 - Joachim Reichel <reichel@debian.org>
cgal (4.11.1-1) unstable; urgency=medium
* New upstream release.
* Fix FCBFS: Let dh_auto_configure pass cross toolchain flags to cmake.
Thanks to Helmut Grohne for the patch (Closes: #883550).
* Override wrong lintian warning about not installed examples.
* Use debhelper compat version 11 (no changes needed).
* Update Standards-Version to 4.1.3 (no changes needed).
2017-11-04 - Joachim Reichel <reichel@debian.org>
cgal (4.11-2) unstable; urgency=medium
* Upload to unstable.
* Fix pedantic lintian warnings (whitespace).
2017-09-21 - Joachim Reichel <reichel@debian.org>
cgal (4.11-1) experimental; urgency=medium
* New upstream release.
* Update Standards-Version to 4.1.0 (no changes needed).

See Also

Package Description
libcgal-qt5-dev_4.14-5_amd64.deb C++ library for computational geometry (development files, support for Qt5)
libcgal13_4.14-5_amd64.deb C++ library for computational geometry
libcgi-ajax-perl_0.707-2_all.deb Perl-specific system for writing Asynchronous web applications
libcgi-application-basic-plugin-bundle-perl_0.8_all.deb bundle of basic plugins for CGI::Application
libcgi-application-dispatch-perl_3.12-2_all.deb request dispatcher for CGI::Application
libcgi-application-extra-plugin-bundle-perl_0.6_all.deb bundle of extra CGI::Application plugins
libcgi-application-perl_4.61-1_all.deb framework for building reusable web-applications
libcgi-application-plugin-actiondispatch-perl_0.99-2_all.deb attribute extension for CGI::Application
libcgi-application-plugin-anytemplate-perl_0.18-2_all.deb module supporting any templating system in CGI::Application
libcgi-application-plugin-authentication-perl_0.23-1_all.deb authentication framework for CGI::Application
libcgi-application-plugin-authorization-perl_0.07-5_all.deb authorization framework for CGI::Application
libcgi-application-plugin-autorunmode-perl_0.18-2_all.deb CGI::App plugin to automatically register runmodes
libcgi-application-plugin-captcha-perl_0.04-2_all.deb module providing CAPTCHA support in CGI::Application
libcgi-application-plugin-config-simple-perl_1.01-2_all.deb module providing Config::Simple support to CGI::Application
libcgi-application-plugin-configauto-perl_1.33-2_all.deb plugin that adds Config::Auto support to CGI::Application
Advertisement
Advertisement